Undefined variable: nonce in ResourceLoaderClientHtml.php
Closed, ResolvedPublic

Description

Error Message

Notice: Undefined variable: nonce in /srv/mediawiki/php-1.32.0-wmf.4/includes/resourceloader/ResourceLoaderClientHtml.php on line 338

Stack Trace

Notes

mmodell created this task.May 17 2018, 7:46 PM
Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 17 2018, 7:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mmodell triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMay 17 2018, 7:47 PM

Change 433673 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@wmf/1.32.0-wmf.4] Revert "Initial support for Content Security Policy, disabled by default"

https://gerrit.wikimedia.org/r/433673

Reedy added a subscriber: Reedy.May 17 2018, 8:59 PM

Probably caused by $wgOut->getRlClient()->getHeadHtml(), in TimedMediaHandler specifically

https://github.com/wikimedia/mediawiki-extensions-TimedMediaHandler/blob/master/TimedMediaIframeOutput.php#L93

Reedy added a subscriber: Krinkle.May 17 2018, 9:02 PM

And patch by @Krinkle for cleaning up passing/handling of $nonce in https://gerrit.wikimedia.org/r/#/c/433622/

Change 433673 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.4] Revert "Initial support for Content Security Policy, disabled by default"

https://gerrit.wikimedia.org/r/433673

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:22:01Z] <twentyafterfour@tin> Synchronized php-1.32.0-wmf.4/: sync https://gerrit.wikimedia.org/r/#/c/433673/ refs T194900 (duration: 09m 54s)

Krinkle added subscribers: Bawolff, Legoktm.EditedMay 18 2018, 12:47 AM

Would recommend to keep this task open until either master is fixed with a follow-up, or until the revert is merged in master as well.

Lowering priority, given the problematic commit was reverted in-branch, unblocking the train.

/cc @Bawolff @Legoktm

Krinkle lowered the priority of this task from Unbreak Now! to High.
mmodell added a comment.EditedMay 18 2018, 12:54 AM

@Krinkle: Unfortunately reverting didn't eliminate the errors. Train still blocked.

Correction: I didn't actually deploy the change correctly, trying again now.

Mentioned in SAL (#wikimedia-releng) [2018-05-18T01:26:49Z] <twentyafterfour> syncing wmf.4 again to deploy https://gerrit.wikimedia.org/r/#/c/433673/ refs T194900 T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-18T01:27:00Z] <twentyafterfour> syncing wmf.4 again to deploy https://gerrit.wikimedia.org/r/#/c/433673/ refs T194900 T191050

Krinkle closed this task as Resolved.May 19 2018, 11:41 PM
Krinkle claimed this task.
Vvjjkkii renamed this task from Undefined variable: nonce in ResourceLoaderClientHtml.php to ftcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Krinkle as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Krinkle.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from ftcaaaaaaa to Undefined variable: nonce in ResourceLoaderClientHtml.php.
CommunityTechBot added subscribers: gerritbot, Aklapper.